Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.parameters.aPar.presentation
Class AParModelWizard.AParModelWizardNewFileCreationPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.ui.dialogs.WizardNewFileCreationPage
                  org.eclipse.amp.amf.parameters.aPar.presentation.AParModelWizard.AParModelWizardNewFileCreationPage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage, org.eclipse.swt.widgets.Listener

Enclosing class:
  AParModelWizard

    public class AParModelWizard.AParModelWizardNewFileCreationPage

extends org.eclipse.ui.dialogs.WizardNewFileCreationPage

This is the one page of the wizard.

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`AParModelWizard.AParModelWizardNewFileCreationPage(java.lang.String pageId, org.eclipse.jface.viewers.IStructuredSelection selection)` Pass in the selection.

Method Summary
`org.eclipse.core.resources.IFile` | `getModelFile()`
`protected boolean` | `validatePage()` The framework calls this to see if the file is correct.

Methods inherited from class org.eclipse.ui.dialogs.WizardNewFileCreationPage
`createAdvancedControls, createControl, createFile, createFileHandle, createLinkTarget, createNewFile, createRule, getContainerFullPath, getFileExtension, getFileName, getInitialContents, getNewFileLabel, handleAdvancedButtonSelect, handleEvent, initialPopulateContainerNameField, setAllowExistingResources, setContainerFullPath, setFileExtension, setFileName, setVisible, validateLinkedResource`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

Constructor Detail

### AParModelWizard.AParModelWizardNewFileCreationPage

    public AParModelWizard.AParModelWizardNewFileCreationPage(java.lang.String pageId,
                                                              org.eclipse.jface.viewers.IStructuredSelection selection)

  Pass in the selection.

Method Detail

### validatePage

    protected boolean validatePage()

  The framework calls this to see if the file is correct.

  Overrides:
    `validatePage` in class `org.eclipse.ui.dialogs.WizardNewFileCreationPage`

### getModelFile

    public org.eclipse.core.resources.IFile getModelFile()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD